dpkg(1)

NOMBRE
dpkg - Gestor de paquetes de Debian

SINOPSIS
dpkg [option...] action

AVISO
El propósito de este manual es que los usuarios entiendan las opciones de invocación de dpkg y el estado de los paquetes con más detalle que la que ofrece dpkg --help. Los responsables de paquetes no deberían usar dpkg --help para comprender el proceso de instalación de dpkg. Las descripciones de lo que hace dpkg al instalar y desinstalar son particularmente imprecisas.

DESCRIPCIÓN
dpkg es una herramienta para instalar, compilar, eliminar y manipular los paquetes de Debian. La interfaz principal y más intuitiva para dpkg es aptitude(1). dpkg se invoca con parámetros de línea de órdenes, que consisten de una sola acción y cero o más opciones. La acción o parámetro dice a dpkg qué hacer, mientras que las opciones controlan de una manera u otra su comportamiento. dpkg can also be used as a front-end to dpkg-deb(1) and dpkg-query(1). The list of supported actions can be found later on in the ACTIONS section. If any such action is encountered dpkg just runs dpkg-deb or dpkg-query with the parameters given to it, but no specific options are currently passed to them, to use any such option the back-ends need to be called directly.

INFORMACIÓN SOBRE PAQUETES
dpkg posibilita el acceso a bastante información sobre los paquetes disponibles. Esta información se divide en tres clases: estados, estados de selección e indicadores. Habitualmente, estos valores se modifican principalmente con dselect.

  ESTADOS DEL PAQUETE

not-installed
    El paquete no está instalado en el sistema.

config-files
    Sólo quedan los ficheros de configuración del paquete en el sistema.

half-installed
    Se inició la instalación del paquete, pero no se completó por alguna razón.

unpacked
    El paquete está descomprimido, pero no configurado.

half-configured
    El paquete está descomprimido y la configuración se ha iniciado, pero no finalizó por alguna razón.

triggers-awaited
    El paquete aguarda al proceso de los disparadores de otro paquete.

triggers-pending
    Los disparadores del paquete se han activado.

installed
    El paquete está correctamente desempaquetado y configurado.

  ESTADOS DE SELECCIÓN DEL PAQUETE

install
    El paquete se ha seleccionado para su instalación.

hold
    dpkg no modificará un paquete marcado con hold (retenido), a no ser que se le fuerce a ello con la opción --force-hold.

deinstall
    El paquete se ha seleccionado para su desinstalación (es decir, que queremos borrar todo excepto los ficheros de configuración).

purge
    El paquete se ha seleccionado para que se purgue (es decir, que queremos borrar todo en los directorios del sistema, incluyendo los ficheros de configuración).

  INDICADORES DEL PAQUETE

reinst-required
    Un paquete marcado con reinst-required está roto y precisa una reinstalación. Estos paquetes no se pueden borrar a no ser que fuerce la acción con la opción --force-remove-reinstreq.

ACCIONES

-i, --install package-file...
    Install the package. If --recursive or -R option is specified, package-file must refer to a directory instead. La instalación consiste de los siguientes pasos:
    1. Extracción de los ficheros de control del paquete nuevo.
    2. De existir otra versión del mismo paquete en el sistema, se ejecuta el script prerm (pre-eliminación) del antiguo paquete.
    3. Ejecución del script preinst (pre-instalación) del paquete, de existir.
    4. Desempaquetado de los nuevos ficheros, a la vez que se crea una copia de seguridad de los antiguos para su restauración en caso de fallo.
    5. De existir otra versión del mismo paquete previamente instalado en el sistema, se ejecutará el script postrm (post-eliminación) del paquete antiguo. Tenga en cuenta que este script se ejecuta después del script preinst del paquete nuevo ya que los nuevos ficheros se escriben a la vez que se borran los antiguos.
    6. Configuración del paquete. Para una información detallada sobre este proceso, consulte --configure.

--unpack package-file...
    Unpack the package, but don't configure it. If --recursive or -R option is specified, package-file must refer to a directory instead.

--configure paquete...|-a|--pending
    Configura un paquete que está desempaquetado pero no configurado. Si se introducen las opciones -a o --pending en lugar de un paquete, se configurarán todos los paquetes desempaquetados pero no configurados. Para reconfigurar un paquete que ya fue configurado, pruebe la orden dpkg-reconfigure(8). La configuración consiste de los siguientes pasos:
    1. Desempaquetado de los ficheros de configuración «conffiles», a la vez se crea una copia de seguridad de los antiguos para su restauración en caso de fallo.
    2. Ejecución del script postinst (post-instalación) del paquete, si existe.

--triggers-only paquete...|-a|--pending
    Procesa sólo los disparadores. Todos los disparadores pendientes (pending) se procesarán a menos que especifique el(los) paquete(s), uno por uno de ser necesario. El uso de esta opción puede dejar paquetes con los estados no deseados de triggers-awaited y triggers-pending. Puede arreglar esto más tarde ejecutando dpkg --configure --pending.

-r, --remove, -P, --purge paquete...|-a|--pending
    Elimina un paquete instalado. Las opciones -r y --remove eliminan todo excepto los ficheros de configuración «conffiles». Esto puede evitar tener que configurar de nuevo el paquete si se reinstala después (los «conffiles» son ficheros de configuración listados en el fichero de control DEBIAN/conffiles). -P o --purge eliminan todo incluyendo los ficheros de configuración «conffile». De usar las opciones -a y --pending en lugar de un nombre de paquete, todos los que están al menos desempaquetados pero marcados para su eliminación o purgación en /var/lib/dpkg/status se eliminarán o purgarán respectivamente. Nota: puede que dpkg desconozca algunos ficheros si su creación y manipulación ocurrió aisladamente a través de los scripts de configuración. De ser así, dpkg no los eliminará directamente sino que el script postrm del paquete (invocado por dpkg) ejecutará la eliminación de estos ficheros durante la purgación del paquete. Por supuesto, esto sólo tiene efecto en los directorios de sistema, no sobre los ficheros de configuración escritos en los directorios «home/» de usuario. La eliminación de un paquete consiste de los siguientes pasos:
    1. Ejecución del script prerm.
    2. Eliminación de los ficheros instalados.
    3. Ejecución del script postrm.

--update-avail, --merge-avail fichero-Packages
    Actualiza la lista de paquetes disponibles de dpkg y dselect. La acción --merge-avail combina la información antigua con la información del fichero-Packages. El fichero-Packages distribuido con Debian se llama simplemente Packages. El programa dpkg guarda un registro de los paquetes disponibles en /var/lib/dpkg/available. dselect update ofrece una manera sencilla y directa de obtener y actualizar el fichero available (disponible). Tenga en cuenta que el fichero es casi inservible si usa una interfaz basada en APT en lugar de dselect: APT tiene su propio sistema de registrar los paquetes disponibles.

-A, --record-avail package-file...
    Update dpkg and dselect's idea of which packages are available with information from the package package-file. If --recursive or -R option is specified, package-file must refer to a directory instead.

--forget-old-unavail
    Obsoleta, y una opción inservible ya que dpkg olvidará automáticamente los paquetes desinstalados no disponibles.

--clear-avail
    Elimina la información sobre qué paquetes están disponibles.

-C, --audit
    Busca paquetes que se hayan instalado parcialmente en el sistema. El programa dpkg sugerirá qué hacer con ellos para hacerlos funcionar.

--get-selections [patrón-nombre-paquete...]
    Muestra la lista de selecciones de paquetes por la salida estándar. De no introducir un patrón se mostrará la lista de paquetes no instalados (esto es, previamente purgados) .

--set-selections
    Set package selections using file read from stdin. This file should be in the format 'package state', where state is one of install, hold, deinstall or purge. Blank lines and comment lines beginning with '#' are also permitted.

--clear-selections
    Define el estado deseado de todo paquete no esencial para su desinstalación. La intención es usar esto inmediatamente después de «--set-selections», para desinstalar todo paquete que no esté en la lista introducida a «--set-selections».

--yet-to-unpack
    Busca los paquetes seleccionados para su instalación, pero que por alguna razón todavía no se han instalado.

--print-architecture
    Muestra la arquitectura de los paquetes que dpkg instala (por ejemplo, «i386»).

--compare-versions ver1 op ver2
    Compara los números de versión, siendo op un operador binario. dpkg devuelve éxito (cero) si la condición especificada se cumple, y fallo (un resultado distinto de cero) en caso contrario. Hay dos grupos de operadores que difieren en su comportamiento cuando les falta alguno de los operandos, ver1 o ver2. Los primeros tratan la falta de versión como la versión más antigua posible: lt le eq ne ge gt. Los otros tratan la falta de versión como la más moderna posible: lt-nl le-nl ge-nl gt-nl. Éstos se proporcionan sólo por compatibilidad con la sintaxis del fichero de control: < << <= = >= >> >.

--command-fd n
    Accept a series of commands on input file descriptor n. Note: additional options set on the command line, and through this file descriptor, are not reset for subsequent commands executed during the same run.

--help
    Muestra un resumen de las instrucciones de uso.

--force-help
    Muestra la ayuda de las opciones --force-algo.

-Dh, --debug=help
    Muestra la ayuda de las opciones de depuración.

--version
    Muestra la versión de dpkg.

dpkg-deb actions
    Consulte dpkg-deb(1) para más información sobre las siguientes acciones.
    -b | --build directorio [fichero]
        Construye un paquete Debian GNU/Linux.
    -c | --contents fichero
        Muestra el contenido de un paquete Debian GNU/Linux.
    -e | --control fichero [directorio]
        Extrae la información de control de un paquete.
    -x | --extract fichero directorio
        Extrae los ficheros contenidos en el paquete.
    -X, --vextract archive directory
        Extrae y muestra los nombres de fichero que un
        paquete contiene.
    -f | --field  fichero [campo-control] ...
        Muestra el/los campo(s) de control de un paquete.
    --fsys-tarfile fichero
        Muestra el fichero tar contenido en el paquete deb.
    dpkg -I | --info fichero [fichero-control]
        Muestra información sobre el paquete.

dpkg-query-actions
    Consulte dpkg-query(1) para más información sobre las siguientes acciones:
    -l | --list patrón-nombre-paquete ...
        Lista los paquetes cuyo nombre encaja en el patrón dado.
    -s | --status nombre-paquete ...
        Informa del estado del paquete especificado.
    -L | --listfiles paquete ...
        Lista los ficheros instalados en el sistema que pertenecen a
        paquete.
    -S | --search patrón-búsqueda-ficheros ...
        Busca un fichero en los paquetes instalados.
    -p | --print-avail paquete ...
        Imprime información sobre el paquete, extraída de
        /var/lib/dpkg/available. Los usuarios de interfaces de APT
        deberían usar apt-cache show paquete.

OPCIONES
Todas las opciones se pueden definir en la línea de órdenes, en el fichero de configuración de dpkg /etc/dpkg/dpkg.cfg y en el directorio de configuración /etc/dpkg/dpkg.cfg.d/. Cada línea de este fichero es bien una opción (exactamente la misma que en la línea de órdenes, pero sin los guiones al principio) o bien un comentario (si empieza con #).

--abort-after=número
    Modifica cuántos errores llevan a dpkg a interrumpir el proceso. El valor por omisión es 50.

-B, --auto-deconfigure
    Al eliminar un paquete puede que otro dependa de él. Definir esta opción producirá la desconfiguración automática del paquete que dependía del paquete eliminado.

-Doctal, --debug=octal
    Activa el modo de depuración. El parámetro octal se forma uniendo los valores de la siguiente lista mediante la operación or a nivel de bits (tenga en cuenta que estos valores podrían cambiar en futuras versiones). -Dh o --debug=help muestran estos valores.
        Number Description
             1 Generally helpful progress information
             2 Invocation and status of maintainer scripts
            10 Output for each file processed
           100 Lots of output for each file processed
            20 Output for each configuration file
           200 Lots of output for each configuration file
            40 Dependencies and conflicts
           400 Lots of dependencies/conflicts output
         10000 Trigger activation and processing
         20000 Lots of output regarding triggers
         40000 Silly amounts of output regarding triggers
          1000 Lots of drivel about e.g. the dpkg/info dir
          2000 Insane amounts of drivel

--force-cosas, --no-force-cosas, --refuse-cosas
    Fuerza o rechaza (no-force y refuse significan lo mismo) hacer ciertas cosas. El parámetro cosas es una lista de cosas definidas a continuación y separadas por comas. La opción --force-help muestra un mensaje que las describe. Las cosas marcadas con (*) se fuerzan por omisión. Aviso: Estas opciones están pensadas básicamente para un uso experto. Usarlas sin conocer totalmente sus efectos podría dejar su sistema sin funcionamiento. all: Activa (o desactiva) todas las opciones de forzar. downgrade(*): Instala un paquete, incluso si ya existe una versión más nueva instalada. Aviso: actualmente dpkg no comprueba de ninguna manera las dependencias al desactualizar y por lo tanto no avisará si rompe alguna dependencia de otro paquete. Una situación así podría tener efectos secundarios graves; desactualizar componentes esenciales del sistema incluso podría inutilizar su sistema por completo. Úselo con cuidado. configure-any: Configura también los paquetes desempaquetados pero no configurados sobre los que depende el paquete. hold: Procesa los paquetes incluso si están marcados con «hold» (retener). remove-reinstreq: Elimina un paquete incluso si está roto y marcado para una necesaria reinstalación. Esto podría causar, por ejemplo, que algunas partes del paquete quedasen en el sistema, de las que dpkg se olvidaría. remove-essential: Elimina, incluso si el paquete se considera esencial. Los paquetes esenciales contienen principalmente órdenes de Unix muy básicas. Borrarlos podría hacer que el sistema dejase de funcionar en absoluto así que use esta opción con cuidado. depends: Convierte todos los problemas de dependencias en avisos. depends-version: No tiene en cuenta las versiones al comprobar las dependencias. breaks: Instala, aunque suponga romper otro paquete. conflicts: Instala, incluso si entra en conflicto con otro paquete. Esta opción es peligrosa dado que generalmente sobreescribirá algunos ficheros. confmiss: Instala siempre un fichero de configuración «conffile», de no existir. Es peligroso porque no guarda los cambios (la eliminación) hechos al fichero. confnew: Si se ha modificado un fichero de configuración «conffile» instala siempre la nueva versión sin preguntar, a menos que se defina también la opción --force-confdef, en cuyo caso se toma la acción predefinida. confold: Si se ha modificado un fichero de configuración «conffile», mantener siempre la versión existente sin preguntar, a menos que también se defina la opción --force-confdef, en cuyo caso se toma la acción predefinida. confdef: Si se ha modificado un fichero de configuración «conffile», elegir siempre la opción predefinida. Si no existe se detendrá y preguntará al usuario, a no ser que se usen también las opciones --force-confnew o --force-confold, en cuyo caso se usará una de estas opciones para tomar la decisión final. confdef: Si se ha modificado un fichero de configuración «conffile», ofrece siempre reemplazar este con la versión en el paquete incluso si la versión del paquete no ha cambiado. Si se introduce cualquiera de las opciones --force-confnew o --force-confold o --force-confdef, se usará esta para tomar la decisión final. overwrite: Sobreescribe un fichero de un paquete con un fichero de otro. overwrite-dir: Sobreescribe un directorio de un paquete con un fichero de otro. overwrite-diverted: Sobreescribe una versión desviada de un fichero con una no desviada. unsafe-io: No realiza las operaciones I/O seguras al desempaquetar. Actualmente, implica que no se realiza la sincronización del sistema de ficheros antes de renombrar un fichero, lo cual causa una apreciable degradación del rendimiento en algunos sistemas de fichero. Desafortunadamente, los que requieren I/O segura para empezar en primer lugar debido a su comportamiento irregular causan ficheros de tamaño cero en fallos severos del sistema. Note: Para ext4, el sistema con más problemas de este sentido, considere usar la opción de montaje nodelalloc, lo que arregla la degradación del rendimiento y los problemas de seguridad de datos. Lo último lo soluciona haciendo que el sistema de ficheros no produzca ficheros de tamaño cero durante fallos severos del sistema con cualquier software que no realiza una sincronización antes de los renombres atómicos. Advertencia: Usar esta opción puede aumentar el rendimiento a costa de la pérdida de datos. Úselo con cuidado. architecture: Process even packages with wrong or no architecture. bad-version: Process even packages with wrong versions. bad-path: PATH no contiene algunos programas importantes, así que es bastante posible que haya problemas. not-root: Intenta la (des)instalación incluso si no es el usuario «root». bad-verify: Instala un paquete aunque falle la comprobación de autenticidad.

--ignore-depends=paquete,...
    Ignora la comprobación de dependencias para los paquetes definidos (en realidad, se hacen las comprobaciones pero se imprimen avisos en vez de interrumpir el proceso).

--no-act, --dry-run, --simulate
    Hace todo lo que se supone que debe hacer, pero no realiza ningún cambio. Se utiliza para ver qué ocurriría con las opciones seleccionadas sin realizar cambios reales. Asegúrese de introducir la opción --no-act antes del parámetro de acción, o podría acabar con resultados no deseados. (Por ejemplo: dpkg --purge foo --no-act purgará primero el paquete foo y luego intentará purgar el paquete --no-act, ¡aunque probablemente usted esperaba que no hiciera nada!).

-R, --recursive
    Actúa recursivamente sobre todos los ficheros que coincidan con el patrón *.deb que se encuentren en el directorio definido, y también todos sus subdirectorios. Se puede usar con las opciones -i, -A, --install, --unpack y --avail.

-G  No instala un paquete del que ya existe una versión más nueva en el sistema. Es un alias de --refuse-downgrade.

--admindir=directorio
    Cambia el directorio de administración predefinido. Éste contiene muchos ficheros que ofrecen información relativa al estado de paquetes instalados o no instalados, etc. (Por omisión, /var/lib/dpkg).

--instdir=directorio
    Cambia el directorio de instalación predefinido, la ubicación en la que se instalarán los paquetes. instdir es también el directorio introducido a chroot(2) antes de ejecutar los scripts de instalación del paquete, lo que significa que éstos verán instdir como directorio raíz. (Por omisión, /).

--root=directorio
    Cambiar root da el valor de directorio a instdir, y el valor dir/var/lib/dpkg a admindir.

-O, --selected-only
    Procesa sólo los paquetes seleccionados para su instalación. La marca en sí la hacen dselect o dpkg al manipular paquetes. Por ejemplo, si se borra uno, éste se marcará para su desinstalación.

-E, --skip-same-version
    Evita la instalación de un paquete si tiene la misma versión que la ya instalada.

--pre-invoke=orden
--post-invoke=orden
    Define una orden «hook» que se invocará mediante «sh -c» antes o después de que dpkg ejecute una acción unpack, configure, install, triggers-only, remove o purge. Puede definir esta opción varias veces. Se respeta el orden de aparición de las opciones, con preferencia de las presentes en los ficheros de configuración. La variable de entorno DPKG_HOOK_ACTION define los «hooks» a la acción de dpkg actual.Nota: puede que las interfaces ejecuten dpkg varias veces en cada invocación, lo cual puede ejecutar más órdenes encadenadas que las esperadas.

--path-exclude=comodín
--path-include=comodín
    Define comodín («glob pattern») como un filtro de ruta, bien excluyendo o incluyendo otra vez rutas anteriormente excluidas que encajan con los patrones definidos durante la instalación. Aviso: tenga en cuenta que dependendiendo de las rutas que excluya, puede dejar su sistema inutilizable, úselo con precuación. Los patrones de comodín («glob») usan los mismos comodines que el intérprete de órdenes, donde «*» encaja con cualquier cadena de caracteres, incluyendo una cadena vacía y «/». Por ejemplo, '/usr/*/READ*' encaja con '/usr/share/doc/package/README'. Como es habitual, «?» encaja cualquier carácter único (una vez más, incluyendo «/»). Y «[» inicia una clase («class») de carácter, que puede contener una lista de caracteres, rangos y complementaciones. Consulte glob(7) para más información acerca del uso de comodines. Nota: puede que la implementación actual incluya otra vez más directorios y enlaces simbólicos que los necesarios. Puede que un desarrollo en el futuro arregle esto para estar más seguros y evitar un posible error de desempaquetado. Puede usar esto para eliminar todas las rutas a excepción de algunas en particular; un típico uso es:
    --path-exclude=/usr/share/doc/*
    --path-include=/usr/share/doc/*/copyright
    para eliminar todos los ficheros de documentación a excepción de los ficheros de derechos de autor. Estas dos opciones se pueden definir varias veces, y se pueden interpolar. Ambos se procesan en el orden dado, y la última regla que encaja con un nombre de fichero realiza la decisión.

--status-fd n
    Envía la información del estado del paquete e información de progreso en formato máquina al descriptor de fichero n. Puede introducir esta opción varias veces. La información aparece habitualmente con un registro por línea, en una de las siguientes formas.

    status: paquete: estado
        El estado del paquete ha cambiado; el estado es el que aparece en el fichero de estado.

    status: paquete : error : mensaje-de-fallo-detallado
        An error occurred. Any possible newlines in extended-error-message will be converted to spaces before output.

    status: fichero : conffile-prompt : 'real-old' 'real-new' edición-usuario edición-distribución
        El usuario tiene que responder a una pregunta de un fichero de configuración «conffile».

    processing: etapa: paquete
        Se envía justo después del inicio del estado de procesamiento. El estado puede ser upgrade, install (ambos se envían antes de desempaquetar), configure, trigproc, disappear, remove o purge.

--status-logger=command
    Send machine-readable package status and progress information to the shell command's standard input. This option can be specified multiple times. The output format used is the same as in --status-fd.

--log=fichero
    Log status change updates and actions to filename, instead of the default /var/log/dpkg.log. If this option is given multiple times, the last filename is used. Log messages are of the form `YYYY-MM-DD HH:MM:SS status state pkg installed-version' for status change updates; `YYYY-MM-DD HH:MM:SS action pkg installed-version available-version' for actions where action is one of install, upgrade, remove, purge; and `YYYY-MM-DD HH:MM:SS conffile filename decision' for conffile changes where decision is either install or keep.

--no-debsig
    No intenta verificar las firmas de los paquetes.

--no-triggers
    No ejecuta ningún disparador durante esta ejecución (se grabarán las activaciones). Si se usa con --configure paquete o --triggers-only paquete, el script «postinst» del paquete nombrado tendrá permisos de ejecución aunque sólo se necesite ejecutar un disparador. El uso de esta opción puede dejar paquetes con el estado no deseado de triggers-awaited y triggers-pending. Puede arreglar esto más tarde ejecutando dpkg --configure --pending.

--triggers
    Cancela un --no-triggers previo.

FICHEROS

/etc/dpkg/dpkg.cfg
    El fichero de configuración con las opciones predefinidas.

/var/log/dpkg.log
    El fichero de registro predefinido (consulte /etc/dpkg/dpkg.cfg(5) y la opción --log).

Los otros ficheros listados a continuación están en sus directorios predefinidos. Consulte la opción --admindir para ver cómo modificar la ubicación de estos ficheros.

/var/lib/dpkg/available
    Lista de paquetes disponibles.

/var/lib/dpkg/status
    Los estados de los paquetes disponibles. Este fichero contiene información sobre si un paquete está marcado o no para su eliminación, si está o no está instalado, etc. Para más información, consulte el apartado INFORMACIÓN SOBRE PAQUETES. Una copia de seguridad diaria del fichero de estado se crea en /var/backups. Puede ser útil si se ha perdido o ha quedado dañado por problemas con el sistema de ficheros.

Los siguientes ficheros son componentes de un paquete binario. Consulte deb(5) para más información sobre éstos:

control

conffiles

preinst

postinst

prerm

postrm

ENTORNO

HOME
    Si se define, dpkg lo usará como el directorio del cual leer el fichero de configuración específico del usuario.

TMPDIR
    Si se define, dpkg lo usará como el directorio en el que crear ficheros y directorios temporales.

PAGER
    El programa que dpkg ejecutará al mostrar los ficheros de configuración «conffiles».

SHELL
    El programa que dpkg ejecutará al iniciar un nuevo intérprete de órdenes.

COLUMNS
    Define el número de columnas que dpkg puede usar para mostrar la información. Por ahora sólo la usa la opción «-l».

DPKG_SHELL_REASON
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. El valor válido actualmente es conffile-prompt.

DPKG_CONFFILE_OLD
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. Contiene la ruta al fichero de configuración antiguo.

DPKG_CONFFILE_NEW
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. Contiene la ruta al fichero de configuración «conffile» nuevo.

DPKG_RUNNING_VERSION
    Definido por dpkg en el script del entorno del mantenedor con el valor de la versión en ejecución de dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Definido por dpkg en el script de entorno del mantenedor con el valor del nombre del paquete manipulado.

DPKG_MAINTSCRIPT_ARCH
    Definido por dpkg en el script de entorno del mantenedor con el valor de la arquitectura de paquete para la cual se compiló.

DPKG_MAINTSCRIPT_NAME
    Definido por dpkg en el script del entorno del mantenedor con el valor del nombre del script en ejecución («preinst», «postinst», «prerm», «postrm»).

EJEMPLOS
Para listar los paquetes con el editor vi(1) en su nombre:
     dpkg -l '*vi*'
Para ver las entradas en /var/lib/dpkg/available de dos paquetes:
     dpkg --print-avail elvis vim | less
Para buscar personalmente en la lista de paquetes:
     less /var/lib/dpkg/available
Para borrar un paquete instalado llamado elvis:
     dpkg -r elvis
Para instalar un paquete, éste tiene que estar disponible en un archivo o disco óptico. El fichero «available» muestra que el paquete vim está en la sección «editors»:
     cd /media/cdrom/pool/main/v/vim
     dpkg -i vim_4.5-3.deb
Para hacer una copia local de las selecciones de estados de paquetes:
      dpkg --get-selections >mis-selecciones
Podría copiar este fichero a otra máquina e instalarlo allí con:
     dpkg --clear-selections
     dpkg --set-selections <mis-selecciones
Tenga en cuenta que esto no instalará ni borrará nada, simplemente modificará el estado de selección de los paquetes seleccionados. Necesitará otra aplicación para obtener los paquetes e instalarlos. Por ejemplo, ejecute apt-get dselect-upgrade. Por lo general, encontrará que dselect(8) es una forma más cómoda de modificar los estados de selección de los paquetes.

FUNCIONALIDAD ADICIONAL
Puede ganar funcionalidades adicionales instalando alguno de los siguientes paquetes: apt, aptitude y debsums.

VÉASE TAMBIÉN
aptitude(1), apt(1), dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5), y dpkg-reconfigure(8).

FALLOS
Habitualmente, la opción --no-act da menos información de la que necesita.

AUTORES
Consulte /usr/share/doc/dpkg/THANKS para una lista de las personas que han contribuido a dpkg.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.